/// y <- alpha * x + y (GPU VERSION)
__kernel void saxpy(int num_elements, __global float * const  x, float alpha,  __global float* y)
{
   int idx = get_global_id(0);

   if(idx < num_elements)
      y[idx] += alpha * x[idx];

}




